import { RoleType } from './role.type.enum';

export const RolePermissions = {
  [RoleType.SUPER_ADMIN]: [
    'DEVICE_SINGLE_CONTROL',
    'COMMISSION_DEVICE',
    'DEVICE_VIEW',
    'DEVICE_DELETE',
    'DEVICE_UPDATE',
    'DEVICE_BATCH_CONTROL',
    'DEVICE_LOCATION_VIEW',
    'DEVICE_LOCATION_UPDATE',
    'DEVICE_ADD',
    'COMMUNITY_VIEW',
    'COMMUNITY_ADD',
    'COMMUNITY_UPDATE',
    'COMMUNITY_DELETE',
    'FIRMWARE_CONTROL',
    'FIRMWARE_VIEW',
    'SPACE_VIEW',
    'SPACE_ADD',
    'SPACE_UPDATE',
    'SPACE_DELETE',
    'SPACE_MODEL_ADD',
    'SPACE_MODEL_VIEW',
    'SPACE_MODEL_UPDATE',
    'SPACE_MODEL_DELETE',
    'SPACE_MODEL_LINK',
    'SPACE_ASSIGN_USER_TO_SPACE',
    'SPACE_DELETE_USER_FROM_SPACE',
    'SUBSPACE_VIEW',
    'SUBSPACE_ADD',
    'SUBSPACE_UPDATE',
    'SUBSPACE_DELETE',
    'SUBSPACE_ASSIGN_DEVICE_TO_SUBSPACE',
    'SUBSPACE_DELETE_DEVICE_FROM_SUBSPACE',
    'DEVICE_WIZARD_VIEW_DEVICE_WIZARD',
    'SUBSPACE_DEVICE_VIEW_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_VIEW_DEVICE_IN_SPACE',
    'SUBSPACE_DEVICE_UPDATE_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_ASSIGN_DEVICE_TO_SPACE',
    'AUTOMATION_VIEW',
    'AUTOMATION_ADD',
    'AUTOMATION_UPDATE',
    'AUTOMATION_DELETE',
    'AUTOMATION_CONTROL',
    'SCENES_VIEW',
    'SCENES_ADD',
    'SCENES_UPDATE',
    'SCENES_DELETE',
    'SCENES_CONTROL',
    'VISITOR_PASSWORD_VIEW',
    'VISITOR_PASSWORD_ADD',
    'VISITOR_PASSWORD_UPDATE',
    'VISITOR_PASSWORD_DELETE',
    'USER_ADD',
    'SPACE_MEMBER_ADD',
    'COMMISSION_DEVICE',
    'PRODUCT_ADD',
  ],
  [RoleType.ADMIN]: [
    'COMMISSION_DEVICE',
    'DEVICE_SINGLE_CONTROL',
    'DEVICE_VIEW',
    'DEVICE_DELETE',
    'DEVICE_UPDATE',
    'DEVICE_ADD',
    'DEVICE_BATCH_CONTROL',
    'DEVICE_LOCATION_VIEW',
    'DEVICE_LOCATION_UPDATE',
    'COMMUNITY_VIEW',
    'COMMUNITY_ADD',
    'COMMUNITY_UPDATE',
    'COMMUNITY_DELETE',
    'FIRMWARE_CONTROL',
    'FIRMWARE_VIEW',
    'SPACE_VIEW',
    'SPACE_ADD',
    'SPACE_UPDATE',
    'SPACE_DELETE',
    'SPACE_MODEL_ADD',
    'SPACE_MODEL_VIEW',
    'SPACE_MODEL_UPDATE',
    'SPACE_MODEL_DELETE',
    'SPACE_MODEL_LINK',
    'SPACE_ASSIGN_USER_TO_SPACE',
    'SPACE_DELETE_USER_FROM_SPACE',
    'SUBSPACE_VIEW',
    'SUBSPACE_ADD',
    'SUBSPACE_UPDATE',
    'SUBSPACE_DELETE',
    'SUBSPACE_ASSIGN_DEVICE_TO_SUBSPACE',
    'SUBSPACE_DELETE_DEVICE_FROM_SUBSPACE',
    'DEVICE_WIZARD_VIEW_DEVICE_WIZARD',
    'SUBSPACE_DEVICE_VIEW_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_VIEW_DEVICE_IN_SPACE',
    'SUBSPACE_DEVICE_UPDATE_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_ASSIGN_DEVICE_TO_SPACE',
    'AUTOMATION_VIEW',
    'AUTOMATION_ADD',
    'AUTOMATION_UPDATE',
    'AUTOMATION_DELETE',
    'AUTOMATION_CONTROL',
    'SCENES_VIEW',
    'SCENES_ADD',
    'SCENES_UPDATE',
    'SCENES_DELETE',
    'SCENES_CONTROL',
    'VISITOR_PASSWORD_VIEW',
    'VISITOR_PASSWORD_ADD',
    'VISITOR_PASSWORD_UPDATE',
    'VISITOR_PASSWORD_DELETE',
    'USER_ADD',
    'SPACE_MEMBER_ADD',
    'COMMISSION_DEVICE',
    'PRODUCT_ADD',
  ],
  [RoleType.SPACE_MEMBER]: [
    'DEVICE_SINGLE_CONTROL',
    'DEVICE_VIEW',
    'SPACE_VIEW',
    'SUBSPACE_VIEW',
    'DEVICE_WIZARD_VIEW_DEVICE_WIZARD',
    'SUBSPACE_DEVICE_VIEW_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_VIEW_DEVICE_IN_SPACE',
    'AUTOMATION_VIEW',
    'AUTOMATION_CONTROL',
    'SCENES_VIEW',
    'SCENES_CONTROL',
  ],
  [RoleType.SPACE_OWNER]: [
    'COMMISSION_DEVICE',
    'DEVICE_SINGLE_CONTROL',
    'DEVICE_VIEW',
    'DEVICE_DELETE',
    'DEVICE_UPDATE',
    'DEVICE_BATCH_CONTROL',
    'DEVICE_LOCATION_VIEW',
    'DEVICE_LOCATION_UPDATE',
    'FIRMWARE_CONTROL',
    'FIRMWARE_VIEW',
    'SPACE_VIEW',
    'SPACE_ADD',
    'SPACE_UPDATE',
    'SPACE_DELETE',
    'SPACE_ASSIGN_USER_TO_SPACE',
    'SPACE_DELETE_USER_FROM_SPACE',
    'SUBSPACE_VIEW',
    'SUBSPACE_ADD',
    'SUBSPACE_UPDATE',
    'SUBSPACE_DELETE',
    'SUBSPACE_ASSIGN_DEVICE_TO_SUBSPACE',
    'SUBSPACE_DELETE_DEVICE_FROM_SUBSPACE',
    'DEVICE_WIZARD_VIEW_DEVICE_WIZARD',
    'SUBSPACE_DEVICE_VIEW_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_VIEW_DEVICE_IN_SPACE',
    'SUBSPACE_DEVICE_UPDATE_DEVICE_IN_SUBSPACE',
    'SPACE_DEVICE_ASSIGN_DEVICE_TO_SPACE',
    'AUTOMATION_VIEW',
    'AUTOMATION_ADD',
    'AUTOMATION_UPDATE',
    'AUTOMATION_DELETE',
    'AUTOMATION_CONTROL',
    'SCENES_VIEW',
    'SCENES_ADD',
    'SCENES_UPDATE',
    'SCENES_DELETE',
    'SCENES_CONTROL',
    'VISITOR_PASSWORD_VIEW',
    'VISITOR_PASSWORD_ADD',
    'VISITOR_PASSWORD_UPDATE',
    'VISITOR_PASSWORD_DELETE',
    'USER_ADD',
    'SPACE_MEMBER_ADD',
    'COMMISSION_DEVICE',
  ],
};
