export function removeCircularReferences() {
  const seen = new WeakSet();
  return (key: string, value: any) => {
    if (typeof value === 'object' && value !== null) {
      if (seen.has(value)) {
        return undefined; // Skip circular reference
      }
      seen.add(value);
    }
    return value;
  };
}
