import { Column, Entity, OneToMany } from 'typeorm';
import { RegionDto } from '../dtos';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { UserEntity } from '../../user/entities';

@Entity({ name: 'region' })
export class RegionEntity extends AbstractEntity<RegionDto> {
  @Column({
    nullable: false,
  })
  regionName: string;

  @OneToMany(() => UserEntity, (user) => user.region)
  users: UserEntity[];

  constructor(partial: Partial<RegionEntity>) {
    super();
    Object.assign(this, partial);
  }
}
