import { IsUUID, ValidateNested, IsArray } from 'class-validator';
import { Type } from 'class-transformer';
import { SubSpaceModelDto } from './subspace-model.dto';
import { ProductDto } from '@app/common/modules/product/dtos';
import { NewTagDto } from '@app/common/modules/tag/dtos';

export class SubspaceModelProductAllocationDto {
  @IsUUID()
  uuid: string;

  @ValidateNested()
  @Type(() => SubSpaceModelDto)
  subspaceModel: SubSpaceModelDto;

  @ValidateNested()
  @Type(() => ProductDto)
  product: ProductDto;

  @IsArray()
  @ValidateNested({ each: true })
  @Type(() => NewTagDto)
  tags: NewTagDto[];
}
