import { Column, Entity, ManyToOne, Unique } from 'typeorm';
import { UserSpaceDto } from '../../user/dtos';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { SpaceEntity } from './space.entity';

@Entity({ name: 'invite-space' })
@Unique(['invitationCode'])
export class InviteSpaceEntity extends AbstractEntity<UserSpaceDto> {
  @Column({
    type: 'uuid',
    default: () => 'gen_random_uuid()', // Use gen_random_uuid() for default value
    nullable: false,
  })
  public uuid: string;

  @ManyToOne(() => SpaceEntity, (space) => space.userSpaces, {
    nullable: false,
  })
  space: SpaceEntity;

  @Column({
    nullable: true,
  })
  public invitationCode: string;

  @Column({
    nullable: false,
    default: true,
  })
  public isActive: boolean;
  constructor(partial: Partial<InviteSpaceEntity>) {
    super();
    Object.assign(this, partial);
  }
}
