WITH params AS (
	SELECT 
      $1::uuid AS space_uuid,
      TO_DATE(NULLIF($2, ''), 'YYYY-MM') AS event_month
)


SELECT sdo.space_uuid,
event_date,
occupancy_percentage,
occupied_seconds
FROM public."space-daily-occupancy-duration"  as sdo
JOIN params P ON true 
where (sdo.space_uuid = P.space_uuid
OR P.event_month IS null)
AND TO_CHAR(sdo.event_date, 'YYYY-MM') = TO_CHAR(P.event_month, 'YYYY-MM')
ORDER BY sdo.space_uuid, sdo.event_date;
