export function buildTypeORMWhereClause({ where }) {
  if (!where) return {};

  // Remove extra nesting if `where` is wrapped within an additional `where` property
  const condition = where.where ? where.where : where;

  const convertToNestedObject = (condition: any): any => {
    const result = {};
    for (const [key, value] of Object.entries(condition)) {
      if (key.includes('.')) {
        const [parentKey, childKey] = key.split('.');
        result[parentKey] = {
          ...(result[parentKey] || {}),
          [childKey]: value,
        };
      } else {
        result[key] = value;
      }
    }
    return result;
  };

  return Array.isArray(condition)
    ? condition.map((item) => convertToNestedObject(item))
    : convertToNestedObject(condition);
}
