import { ValidateBy, ValidationOptions } from 'class-validator';

export function IsSizeRequestParam(
  validationOptions?: ValidationOptions,
): PropertyDecorator {
  return ValidateBy(
    {
      name: 'IsSizeRequestParam',
      validator: {
        validate(value) {
          return IsSizeParam(value); // you can return a Promise<boolean> here as well, if you want to make async validation
        },
      },
    },
    validationOptions,
  );
}

function IsSizeParam(value: any): boolean {
  return !isNaN(Number(value)) && value > -1;
}
