import { ApiProperty } from '@nestjs/swagger';
import { Expose, Type } from 'class-transformer';
export class BookableSpaceConfigResponseDto {
  @ApiProperty()
  @Expose()
  uuid: string;

  @ApiProperty({
    type: [String],
  })
  @Expose()
  daysAvailable: string[];

  @ApiProperty()
  @Expose()
  startTime: string;

  @ApiProperty()
  @Expose()
  endTime: string;

  @ApiProperty({
    type: Boolean,
  })
  @Expose()
  active: boolean;

  @ApiProperty({
    type: Number,
    nullable: true,
  })
  @Expose()
  points?: number;
}

export class BookableSpaceResponseDto {
  @ApiProperty()
  @Expose()
  uuid: string;

  @ApiProperty()
  @Expose()
  spaceUuid: string;

  @ApiProperty()
  @Expose()
  spaceName: string;

  @ApiProperty()
  @Expose()
  virtualLocation: string;

  @ApiProperty({
    type: BookableSpaceConfigResponseDto,
  })
  @Expose()
  @Type(() => BookableSpaceConfigResponseDto)
  bookableConfig: BookableSpaceConfigResponseDto;
}
