import { ApiProperty, OmitType, PartialType } from '@nestjs/swagger';
import { IsBoolean, IsOptional } from 'class-validator';
import { CreateBookableSpaceDto } from './create-bookable-space.dto';

export class UpdateBookableSpaceDto extends PartialType(
  OmitType(CreateBookableSpaceDto, ['spaceUuids']),
) {
  @ApiProperty({ type: Boolean })
  @IsOptional()
  @IsBoolean()
  active?: boolean;
}
