// dto/commission-device.dto.ts

import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, Validate } from 'class-validator';
import { FileValidator } from 'src/validators/file.validator';

export class CommissionDeviceCsvDto {
  @ApiProperty({
    type: 'string',
    format: 'binary',
    description: 'CSV file containing device data',
  })
  @IsNotEmpty({ message: 'CSV file is required' })
  @Validate(FileValidator, ['text/csv', 'application/vnd.ms-excel'], {
    message: 'Only CSV files are allowed',
  })
  file: any;
}
