import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { DeviceMessagesSubscriptionController } from './controllers';
import { DeviceMessagesSubscriptionService } from './services';
import { DeviceRepositoryModule } from '@app/common/modules/device/device.repository.module';
import { DeviceNotificationRepository } from '@app/common/modules/device/repositories';

@Module({
  imports: [ConfigModule, DeviceRepositoryModule],
  controllers: [DeviceMessagesSubscriptionController],
  providers: [DeviceNotificationRepository, DeviceMessagesSubscriptionService],
  exports: [DeviceMessagesSubscriptionService],
})
export class DeviceMessagesSubscriptionModule {}
