import { ApiProperty } from '@nestjs/swagger';
import { ArrayUnique, IsNotEmpty, IsUUID } from 'class-validator';

export class OrderSpacesDto {
  @ApiProperty({
    description: 'List of children spaces associated with the space',
    type: [String],
  })
  @IsNotEmpty()
  @ArrayUnique()
  @IsUUID('4', { each: true, message: 'Invalid space UUID provided' })
  spacesUuids: string[];
}
