import { ApiPropertyOptional, PartialType } from '@nestjs/swagger';
import { IsOptional, IsUUID } from 'class-validator';
import { AddSubspaceDto } from './add.subspace.dto';

export class UpdateSubspaceDto extends PartialType(AddSubspaceDto) {
  @ApiPropertyOptional({
    description:
      'UUID of the subspace (will present if updating an existing subspace)',
    example: '123e4567-e89b-12d3-a456-426614174000',
  })
  @IsOptional()
  @IsUUID()
  uuid?: string;
}
