import { ApiPropertyOptional } from '@nestjs/swagger';
import { IsOptional, IsString, IsUUID } from 'class-validator';

export class ModifyTagDto {
  @ApiPropertyOptional({
    description: 'UUID of an existing tag',
    example: 'a1b2c3d4-5678-90ef-abcd-1234567890ef',
  })
  @IsOptional()
  @IsUUID()
  tagUuid?: string;

  @ApiPropertyOptional({
    description: 'Name of the tag',
    example: 'Temperature Sensor',
  })
  @IsOptional()
  @IsString()
  name?: string;

  @ApiPropertyOptional({
    description: 'UUID of the product associated with the tag',
    example: 'c789a91e-549a-4753-9006-02f89e8170e0',
  })
  @IsOptional()
  @IsUUID()
  productUuid?: string;
}
