import { ApiProperty } from '@nestjs/swagger';
import { IsBoolean, IsNotEmpty, IsString } from 'class-validator';

export class UserNotificationAddDto {
  @ApiProperty({
    description: 'user uuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  userUuid: string;

  @ApiProperty({
    description: 'subscription uuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  subscriptionUuid: string;
}
export class UserNotificationUpdateDto {
  @ApiProperty({
    description: 'user uuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  userUuid: string;

  @ApiProperty({
    description: 'subscription uuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  subscriptionUuid: string;
  @ApiProperty({
    description: 'active',
    required: true,
  })
  @IsBoolean()
  @IsNotEmpty()
  active: boolean;
}
