import { Module } from '@nestjs/common';
import { VisitorPasswordService } from './services/visitor-password.service';
import { VisitorPasswordController } from './controllers/visitor-password.controller';
import { ConfigModule } from '@nestjs/config';
import { DeviceRepositoryModule } from '@app/common/modules/device';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { EmailService } from '@app/common/util/email.service';
import { PasswordEncryptionService } from 'src/door-lock/services/encryption.services';
import { DoorLockModule } from 'src/door-lock/door.lock.module';
import { DeviceService } from 'src/device/services';
import { ProductRepository } from '@app/common/modules/product/repositories';
import { DeviceStatusFirebaseService } from '@app/common/firebase/devices-status/services/devices-status.service';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { VisitorPasswordRepository } from '@app/common/modules/visitor-password/repositories';
import { DeviceStatusLogRepository } from '@app/common/modules/device-status-log/repositories';
import { TuyaService } from '@app/common/integrations/tuya/services/tuya.service';
import { SceneService } from 'src/scene/services';
import {
  SceneIconRepository,
  SceneRepository,
} from '@app/common/modules/scene/repositories';
import { SceneDeviceRepository } from '@app/common/modules/scene-device/repositories';
import { AutomationRepository } from '@app/common/modules/automation/repositories';
import { ProjectRepository } from '@app/common/modules/project/repositiories';
import { PowerClampService } from '@app/common/helper/services/power.clamp.service';
import {
  PowerClampHourlyRepository,
  PowerClampDailyRepository,
  PowerClampMonthlyRepository,
} from '@app/common/modules/power-clamp/repositories';
import { SqlLoaderService } from '@app/common/helper/services/sql-loader.service';
import { OccupancyService } from '@app/common/helper/services/occupancy.service';
import { CommunityRepository } from '@app/common/modules/community/repositories';
import { AqiDataService } from '@app/common/helper/services/aqi.data.service';
import { PresenceSensorDailySpaceRepository } from '@app/common/modules/presence-sensor/repositories';
import { AqiSpaceDailyPollutantStatsRepository } from '@app/common/modules/aqi/repositories';
@Module({
  imports: [ConfigModule, DeviceRepositoryModule, DoorLockModule],
  controllers: [VisitorPasswordController],
  providers: [
    VisitorPasswordService,
    EmailService,
    PasswordEncryptionService,
    DeviceService,
    ProductRepository,
    DeviceStatusFirebaseService,
    SpaceRepository,
    DeviceRepository,
    VisitorPasswordRepository,
    DeviceStatusLogRepository,
    TuyaService,
    SceneService,
    SceneIconRepository,
    SceneRepository,
    SceneDeviceRepository,
    AutomationRepository,
    ProjectRepository,
    PowerClampService,
    PowerClampHourlyRepository,
    PowerClampDailyRepository,
    PowerClampMonthlyRepository,
    SqlLoaderService,
    OccupancyService,
    CommunityRepository,
    AqiDataService,
    PresenceSensorDailySpaceRepository,
    AqiSpaceDailyPollutantStatsRepository,
  ],
  exports: [VisitorPasswordService],
})
export class VisitorPasswordModule {}
